<?php
/**
 * @package   T3 Blank
 * @copyright Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license   GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;
$sitename = $this->params->get('sitename') ? $this->params->get('sitename') : JFactory::getConfig()->get('sitename');
$slogan = $this->params->get('slogan');
$logotype = $this->params->get('logotype', 'text');
$logoimage = $logotype == 'image' ? $this->params->get('logoimage', '') : '';
if ($logoimage) {
  $logoimage = ' style="background-image:url('.JURI::base(true).'/'.$logoimage.');"';
}
?>

<!-- HEADER -->
<header id="ja-header" class="wrap ja-header">
  <div class="container">
    <div class="row">

        <!-- LOGO -->
        <div class="span2">
          <div class="logo logo-<?php echo $logotype ?>">
            <h1>
              <a href="<?php echo JURI::base(true) ?>" title="<?php echo strip_tags($sitename) ?>"<?php echo $logoimage ?>>
                <span><?php echo $sitename ?></span>
              </a>
              <small class="site-slogan hidden-phone"><?php echo $slogan ?></small>
            </h1>
          </div>
        </div>
        <!-- //LOGO -->

        <div class="span8">
        <!-- MAIN NAVIGATION -->
        <div id="ja-mainnav" class="ja-mainnav">
          <div class="navbar">
            <div class="navbar-inner">

              <button type="button" class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
              </button>

              <div class="nav-collapse collapse">
              <?php if($this->params->get('mm_enable', 0)) : ?>
              <?php
                t3v3import('menu/mega');
                
                if(class_exists('JAMenuMega')){
                  new JAMenuMega($this->params);
                }
              ?>
              <?php else: ?>
                <jdoc:include type="modules" name="<?php $this->_p('mainnav') ?>" style="raw" />
              <?php endif; ?>
              </div>

            </div>
          </div>
        </div>
        <!-- //MAIN NAVIGATION -->
        </div>

        <div class="span2">
        <?php if ($this->countModules('head-search')) : ?>
        <!-- HEAD SEARCH -->
        <div class="head-search">
          <jdoc:include type="modules" name="<?php $this->_p('head-search') ?>" style="raw" />
        </div>
        <!-- //HEAD SEARCH -->
        <?php endif ?>
        </div>

				<div class="span4 head-social pull-right">
					<ul class="nav">
				<!-- Language Switcher -->  
				<?php if ($this->countModules('languageswitcherload')) : ?>
					<li id="languageswitcher-block" class="dropdown languageswitcher-block <?php $this->_c('languageswitcherload') ?>">
						<jdoc:include type="modules" name="<?php $this->_p('languageswitcherload') ?>" style="xhtml" />
					</li>
				<?php endif ?>
				<!-- // Language Switcher -->
					</ul>
				</div>

    </div>
  </div>
</header>
<!-- //HEADER -->
